=== debian/control ===
## Copyright (C) 2012 - 2025 ENCRYPTED SUPPORT LLC <adrelanos@whonix.org>
## See the file COPYING for copying conditions.

Source: kloak
Section: misc
Priority: optional
Maintainer: Patrick Schleizer <adrelanos@whonix.org>
Build-Depends: debhelper (>= 13.11.4), debhelper-compat (= 13), dh-apparmor, libevdev2, libevdev-dev, libsodium23, libsodium-dev, pkg-config
Homepage: https://github.com/vmonaco/kloak
Vcs-Browser: https://github.com/vmonaco/kloak
Vcs-Git: https://github.com/vmonaco/kloak.git
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: kloak
## Related tickets:
## https://github.com/vmonaco/kloak/issues/24
## https://github.com/vmonaco/kloak/issues/25
##
## Bug:
## Actually building might be possible but cross building using qemu has issues:
## https://github.com/vivier/qemu-m68k/issues/38
## Update: in above link it is being said that it was fixed.
## Could try again in Debian bullseye or above.
##
## Bug:
## https://bugs.launchpad.net/qemu/+bug/1756519
## https://bugs.launchpad.net/qemu/+bug/1793539
## qemu:handle_cpu_signal received signal outside vCPU context @ pc=0x60269d8c
## qemu:handle_cpu_signal received signal outside vCPU context @ pc=0x6000178c
## Update: Same as above.
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libevdev2, libsodium23
Description: anti keystroke deanonymization tool
 A keystroke-level online anonymization kernel.
 .
 A privacy tool that makes keystroke biometrics less effective. This
 is accomplished by obfuscating the time intervals between key press and
 release events, which are typically used for identification.
