=== debian/rules ===
#!/usr/bin/make -f

## Copyright (C) 2016 - 2025 ENCRYPTED SUPPORT LLC <adrelanos@whonix.org>
## See the file COPYING for copying conditions.

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

APPARMOR_PROFILE_NAME=$(shell basename $$(echo ./etc/apparmor.d/*.*))

override_dh_installman:
	dh_installman $(CURDIR)/debian/eventcap.8
	dh_installman $(CURDIR)/debian/kloak.8

override_dh_installchangelogs:
	dh_installchangelogs changelog.upstream upstream

override_dh_install:
	dh_apparmor --profile-name=$(APPARMOR_PROFILE_NAME) -p$(shell dh_listpackages)
	dh_install
