=== debian/control ===
--- 
+++ 
@@ -5,11 +5,18 @@
 Section: misc
 Priority: optional
 Maintainer: Patrick Schleizer <adrelanos@whonix.org>
-Build-Depends: debhelper (>= 13.11.4), debhelper-compat (= 13), dh-apparmor, libevdev2, libevdev-dev, libsodium23, libsodium-dev, pkg-config
+Build-Depends: debhelper (>= 13.11.4),
+ debhelper-compat (= 13),
+ dh-apparmor,
+ libevdev-dev,
+ libinput-dev,
+ libwayland-dev,
+ libxkbcommon-dev,
+ pkgconf
 Homepage: https://github.com/vmonaco/kloak
 Vcs-Browser: https://github.com/vmonaco/kloak
 Vcs-Git: https://github.com/vmonaco/kloak.git
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 
 Package: kloak
@@ -30,7 +37,7 @@
 ## qemu:handle_cpu_signal received signal outside vCPU context @ pc=0x6000178c
 ## Update: Same as above.
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libevdev2, libsodium23
+Depends: ${shlibs:Depends}, ${misc:Depends}, python3
 Description: anti keystroke deanonymization tool
  A keystroke-level online anonymization kernel.
  .
