=== debian/rules ===
--- 
+++ 
@@ -12,15 +12,13 @@
 %:
 	dh $@
 
-APPARMOR_PROFILE_NAME=$(shell basename $$(echo ./etc/apparmor.d/*.*))
-
 override_dh_installman:
-	dh_installman $(CURDIR)/debian/eventcap.8
 	dh_installman $(CURDIR)/debian/kloak.8
 
 override_dh_installchangelogs:
 	dh_installchangelogs changelog.upstream upstream
 
 override_dh_install:
-	dh_apparmor --profile-name=$(APPARMOR_PROFILE_NAME) -p$(shell dh_listpackages)
+	dh_apparmor --profile-name=usr.bin.kloak
+	dh_apparmor --profile-name=usr.libexec.kloak.find_wl_compositor
 	dh_install
